package com.example.controller;

import com.example.service.QualityService;
import com.example.util.CommonResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @ClassName QualityController
 * @Description 质检接口
 * @Author linjj
 * @Date 2025/1/14 16:32
 * @Version 1.0
 */
@RestController
@RequestMapping("/quality")
@Api(tags = "质检测试接口", description = "Example API Description")
public class QualityController {

    @Autowired
    private QualityService qualityService;
    @GetMapping("/qualityPdf")
    @ApiOperation(value = "pdf质检测试接口")
    public CommonResult<?> qualityPdf() {
        qualityService.Quality();
        return CommonResult.success("执行完成");
    }
}
