package com.example.db1.dao;

import com.example.dto.AddDetailDto;
import com.example.vo.ArchiveDetailVo;
import lombok.Data;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @InterfaceName ArchiveDetailrDao
 * @Description 文件表接口
 * @Author linjj
 * @Date 2024/12/12 16:33
 * @Version 1.0
 */
@Mapper
public interface ArchiveDetailDao {

    boolean addArchiveDetail(@Param("list") List<AddDetailDto> list);

    List<String> getPdfPath(String masterId);
}
