package com.example.db2.dao;

import com.example.dto.GetMedicalDto;
import com.example.vo.ArchiveMasterVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @InterfaceName ArchiveMasterDao
 * @Description 患者信息接口
 * @Author linjj
 * @Date 2024/12/11 14:05
 * @Version 1.0
 */
@Mapper
public interface MedicalDao {

    /**
     * @description: 获取视图中患者信息接口
     * @params: GetMedicalDto
     * @return: ArchiveMasterVo
     * @author linjj
     * @date: 2024/12/11 14:08
     */
    List<ArchiveMasterVo> GetMedicalInfo(GetMedicalDto getMedicalDto);
}
