package com.example.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @ClassName AddDetailDto
 * @Description 保存文件表实体类
 * @Author linjj
 * @Date 2024/12/12 13:04
 * @Version 1.0
 */
@Data
public class AddDetailDto {
    @ApiModelProperty(value = "文件id")
    private String ID;

    @ApiModelProperty(value = "文件路径")
    private String PDF_PATH;

    @ApiModelProperty(value = "MasterID")
    private String MasterID;

    @ApiModelProperty(value = "更新时间")
    private Date UpLoadDateTime;

    @ApiModelProperty(value = "分段id")
    private String AssortID;

    @ApiModelProperty(value = "来源")
    private String Source;

    @ApiModelProperty(value = "分段信息")
    private String SubAssort;

    @ApiModelProperty(value = "文件名")
    private String Title;

    @ApiModelProperty(value = "标识")
    private String flag;

    @ApiModelProperty(value = "标识")
    private String Sys;

    @ApiModelProperty(value = "标识")
    private String splitName;


}
