package com.example.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.Date;

/**
 * @ClassName AddArchiveMasterDto
 * @Description  新增归档患者基础信息实体类
 * @Author linjj
 * @Date 2024/12/11 15:28
 * @Version 1.0
 */
@Data
public class AddMasterDto {
    @ApiModelProperty(value = "主键id")
    private String id;
    @ApiModelProperty(value = "病人id")
    private String patientId;
    @ApiModelProperty(value = "住院号")
    private String inpNo;
    @ApiModelProperty(value = "住院次数")
    private String visitId;
    @ApiModelProperty(value = "姓名")
    private String name;
    @ApiModelProperty(value = "性别")
    private String sex;
    @ApiModelProperty(value = "出院科室")
    private String deptName;
    @ApiModelProperty(value = "出院时间")
    private String dischargeDateTime;
    @ApiModelProperty(value = "归档状态")
    private String ArchiveState;
    @ApiModelProperty(value = "住院时间")
    private String admissionDateTime;
    @ApiModelProperty(value = "住院科室")
    private String deptAdmissionTo;
    @ApiModelProperty(value = "确认开始时间")
    private Date checkDatetime;
    @ApiModelProperty(value = "确认开始结束时间")
    private Date checkedDatetime;
    @ApiModelProperty(value = "主治医生")
    private String DOCTOR_IN_CHARGE;
    @ApiModelProperty(value = "身份证号")
    private String ID_NO;
    @ApiModelProperty(value = "标识")
    private String splitName;


}
