package com.example.quartz;



import com.example.service.ArchiveService;
import org.quartz.JobExecutionContext;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.quartz.QuartzJobBean;

import javax.annotation.Resource;

/**
 * @description: 定时任务采集
 * @author linjj
 * @date: 2024/12/13 9:22
 */
public class ArchiveQuartz extends QuartzJobBean {


    @Resource
    private ArchiveService archiveService;


    @Override
    protected void executeInternal(JobExecutionContext jobExecutionContext)  {
        archiveService.archive();
    }
}
