package com.example.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @ClassName AddCommonTable
 * @Description  CommonTable
 * @Author linjj
 * @Date 2024/12/13 16:18
 * @Version 1.0
 */
@Data
public class AddCommonTableDto {

    @ApiModelProperty(value = "patientId")
    private String patientId;
    @ApiModelProperty(value = "*病案ID号")
    private String admissId;
    @ApiModelProperty(value = "*住院次数")
    private String admissTimes;
    @ApiModelProperty(value = "*病案号")
    private String inpatientNo;
    @ApiModelProperty(value = "患者姓名")
    private String name;
    @ApiModelProperty(value = "患者性别")
    private String sex;
    @ApiModelProperty(value = "*入院日期")
    private String admissDate;
    @ApiModelProperty(value = "出院日期")
    private String disDate;
    @ApiModelProperty(value = "出院科室")
    private String disDept;
    @ApiModelProperty(value = "*主治医师")
    private String attending;
    @ApiModelProperty(value = "*住院医师")
    private String admissDoctor;
    @ApiModelProperty(value = "出院科室名称")
    private String disDeptName;
    @ApiModelProperty(value = "身份证号")
    private String idCard;
    @ApiModelProperty(value = "标识")
    private String splitName;
    @ApiModelProperty(value = "盘号")
    private String ph;
    @ApiModelProperty(value = "光点号")
    private String gdh;


}
