package com.example.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @ClassName GetMedicalDto
 * @Description 获取患者信息所需参数
 * @Author linjj
 * @Date 2024/12/11 14:09
 * @Version 1.0
 */
@Data
public class GetMedicalDto {

    @ApiModelProperty(value = "病人id")
    private String SICK_ID;

    @ApiModelProperty(value = "姓名")
    private String NAME;

    @ApiModelProperty(value = "住院号")
    private String RESIDENCE_NO;
}
