package com.example.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @ClassName ArchiveMasterVo
 * @Description 患者基础信息
 * @Author linjj
 * @Date 2024/12/11 13:57
 * @Version 1.0
 */
@Data
public class ArchiveMasterVo {

    @ApiModelProperty(value = "病人id")
    private String SICK_ID;
    @ApiModelProperty(value = "住院号")
    private String RESIDENCE_NO;
    @ApiModelProperty(value = "住院次数")
    private String VISIT_NUMBER;
    @ApiModelProperty(value = "姓名")
    private String NAME;
    @ApiModelProperty(value = "性别")
    private String SEX;
    @ApiModelProperty(value = "入院时间")
    private String ADMISSION_TIME;
    @ApiModelProperty(value = "出院时间")
    private String DISCHARGE_TIME;
    @ApiModelProperty(value = "出院科室")
    private String DETP_NAME;
    @ApiModelProperty(value = "出院科室编码")
    private String DEPT_CODE;
    @ApiModelProperty(value = "入院科室编码")
    private String ADMISSION_DEPT_CODE;
    @ApiModelProperty(value = "身份证号")
    private String ID_CARD_NO;

    @ApiModelProperty(value = "主管医生")
    private String DOCTOR;

    @ApiModelProperty(value = "状态")
    private String STATUS;
}
